-- Tournament Anthems (Entrance/Half-Time/Full-Time/Celebration) for PES2020
-- Author: Predator002 on 19/05/2020 -- Kunpup's Anthems Adds on 21/05/2020 for VirtuaRed - SmokePatch - IPM Patch
-- Version: 6.3
-- Originally posted on Evo-Web
-- Massive thanks to Juce & Zlac because their assistance made this lua possible

local m = {}
local tunnel_anthem
local lineup_anthem
local format_anthem
local halftime_anthem
local fulltime_anthem
local celebr_anthem
local rdm

local function get_ids(ctx)
    rdm = math.random (1,7)
end

local function stop_tunnelanthem()
    if tunnel_anthem then
        log(string.format("tunnel anthem finishing: %s", tunnel_anthem:get_filename()))
        tunnel_anthem:fade_to(0, 3)
        tunnel_anthem:finish()
        tunnel_anthem = nil
    end
end

local function stop_lineupanthem()
    if lineup_anthem then
        log(string.format("lineup anthem finishing: %s", lineup_anthem:get_filename()))
        lineup_anthem:fade_to(0, 3)
        lineup_anthem:finish()
        lineup_anthem = nil
    end
end

local function stop_formatanthem()
    if format_anthem then
        log(string.format("formation anthem finishing: %s", format_anthem:get_filename()))
        format_anthem:fade_to(0, 3)
        format_anthem:finish()
        format_anthem = nil
    end
end

local function stop_halftimeanthem()
    if halftime_anthem then
        log(string.format("halftime anthem finishing: %s", halftime_anthem:get_filename()))
        halftime_anthem:fade_to(0, 3)
        halftime_anthem:finish()
        halftime_anthem = nil
    end
end

local function stop_fulltimeanthem()
    if fulltime_anthem then
        log(string.format("fulltime anthem finishing: %s", fulltime_anthem:get_filename()))
        fulltime_anthem:fade_to(0, 3)
        fulltime_anthem:finish()
        fulltime_anthem = nil
    end
end

local function stop_celebranthem()
    if celebr_anthem then
        log(string.format("celebration anthem finishing: %s", celebr_anthem:get_filename()))
        celebr_anthem:fade_to(0, 3)
        celebr_anthem:finish()
        celebr_anthem = nil
    end
end

function m.data_ready(ctx, filename)
tid = ctx.tournament_id
teamid = ctx.home_team
daynightid = ctx.timeofday
cuproundid = ctx.match_info
stadiumid = ctx.stadium

 -- END ANTHEMS AT KICKOFF OR WHEN PAUSED
    if string.match(filename, "common\\demo\\fixdemo\\goal\\cut_data\\goal_hug_run_aim.*") or filename == "common\\script\\flow\\Match\\MatchPrePause.json" then
	log("game loaded: " .. filename)
	stop_tunnelanthem()
	stop_lineupanthem()
        stop_formatanthem()

 -- END ANTHEMS AT END OF MATCH
    elseif filename == "common\\script\\flow\\Match\\MatchEnd.json" then
	log("game loaded: " .. filename)
	stop_halftimeanthem()
	stop_fulltimeanthem()
	stop_celebranthem()

 -- INTRO ANTHEM 2 - STADIUM TUNNEL ANTHEM LEADING TO STADIUM ANTHEM
    elseif string.match(filename, "common\\demo\\fixdemo\\ent\\cut_data\\ent_%d+_st%d+_cmn_cam.*%.fdc") then
	if tunnel_anthem then
	else
		log("game loaded: " .. filename)
	
	     -- TEAM ANTHEMS -- ATTEMPT TO PLAY THESE FIRST
	if teamid == 139 and (tid == 65535 or tid == 30) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Argentina\\KpBoca.mp3")
        elseif teamid == 138 and (tid == 65535 or tid == 30) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Argentina\\RieRiverplatekp.mp3")
        elseif teamid == 174 and (tid == 65535 or tid == 115 or tid == 155 or tid == 156 or tid == 157 or tid == 158 or tid == 159) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Belgium\\RieAnderlechtkp.mp3")
        elseif teamid == 269 and (tid == 65535 or tid == 115 or tid == 155 or tid == 156 or tid == 157 or tid == 158 or tid == 159) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Belgium\\RieBruggekp.mp3")
        elseif teamid == 1195 and (tid == 65535 or tid == 115 or tid == 155 or tid == 156 or tid == 157 or tid == 158 or tid == 159) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Belgium\\RieGenkkp.mp3")
        elseif teamid == 1197 and (tid == 65535 or tid == 115 or tid == 155 or tid == 156 or tid == 157 or tid == 158 or tid == 159) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Belgium\\KpLiege.mp3")
        elseif teamid == 1247 and (tid == 65535 or 29) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Brazil\\Corinthians.mp3")
        elseif teamid == 1248 and (tid == 65535 or 29) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Brazil\\Flamengo.mp3")
        elseif teamid == 1250 and (tid == 65535 or tid == 29) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Brazil\\Gremio.mp3")       
        elseif teamid == 137 and (tid == 65535 or 29) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Brazil\\Palmeiras.mp3")
        elseif teamid == 1255 and (tid == 65535 or 29) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Brazil\\Sao_Paulo.mp3")
        elseif teamid == 136 and (tid == 65535 or 29) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Brazil\\Vasco_da_Gama.mp3")
        elseif teamid == 101 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhArsenalkp.mp3")
        elseif teamid == 103 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\Liverpool_intro.mp3")
        elseif teamid == 4363 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieLutonTownkp.mp3")
        elseif teamid == 100 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) and daynightid == 0 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\Rieggmukp.mp3")
        elseif teamid == 100 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) and daynightid == 1 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhManchesterUnitedkp.mp3")
        elseif teamid == 102 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhChelseakp.mp3")
        elseif teamid == 105 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhWestHamkp.mp3")
        elseif teamid == 179 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhTottenhamkp.mp3")
        elseif teamid == 398 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhWatfordkp.mp3")
        elseif teamid == 382 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhCrystalPalacekp.mp3")
        elseif teamid == 173 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) and daynightid == 0 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieManchesterCitykp.mp3")
        elseif teamid == 173 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) and daynightid == 1 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\Superb3222heyjudekp.mp3")
        elseif teamid == 208 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieWolverhamptonkp.mp3")
        elseif teamid == 177 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhEvertonkp.mp3")
        elseif teamid == 204 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhLeicesterkp.mp3")
        elseif teamid == 106 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhNewCastlekp.mp3")
        elseif teamid == 4071 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhBournmouthkp.mp3")
        elseif teamid == 107 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhAstonVillakp.mp3")
        elseif teamid == 178 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieFulhamkp.mp3")
        elseif teamid == 176 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieBlackburnkp.mp3")
        elseif teamid == 388 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieNorwichkp.mp3")
        elseif teamid == 378 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\ObhBurnleykp.mp3")
        elseif teamid == 104 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\wh77Leedskp.mp3")
        elseif teamid == 399 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieWbakp.mp3")
        elseif teamid == 377 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\kpBrighton.mp3")
        elseif teamid == 207 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\RieSouthamptonkp.mp3")
        elseif teamid == 4194 and (tid == 65535 or tid == 17 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\kpSheffield.mp3")
        elseif teamid == 389 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\wh77Nottinghamkp.mp3")
        elseif teamid == 201 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Birminghamkp.mp3")
        elseif teamid == 176 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Blackburnkp.mp3")
        elseif teamid == 379 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Cardiffkp.mp3")
        elseif teamid == 178 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Fulhamkp.mp3")
        elseif teamid == 2610 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Huddersfieldkp.mp3")
        elseif teamid == 205 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Middlesbroughkp.mp3")
        elseif teamid == 387 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Millwallkp.mp3")
        elseif teamid == 1327 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78QPRkp.mp3")
        elseif teamid == 399 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78WestBromkp.mp3")
        elseif teamid == 394 and (tid == 65535 or tid == 66 or tid == 79 or tid == 83) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\D78Sheffieldwkp.mp3")
        elseif teamid == 126 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhBorussiaDortmundkp.mp3")
        elseif teamid == 127 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhBayernMunichkp.mp3")
        elseif teamid == 128 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhLeverkusenkp.mp3")
        elseif teamid == 184 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhSchalkekp.mp3")
        elseif teamid == 226 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhFrankfurtkp.mp3")
        elseif teamid == 232 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhWolfsburgkp.mp3")
        elseif teamid == 4124 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhAugsburgkp.mp3")
        elseif teamid == 227 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhFreiburgkp.mp3")
        elseif teamid == 225 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhGladbachkp.mp3")
        elseif teamid == 436 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhMainzkp.mp3")
        elseif teamid == 4126 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhHoffenheimkp.mp3")
        elseif teamid == 4324 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhPaderbornkp.mp3")
        elseif teamid == 5010 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhLeipzigkp.mp3")
        elseif teamid == 4137 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhKolnkp.mp3")
        elseif teamid == 185 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhBremenkp.mp3")
        elseif teamid == 4140 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhUnionBerlinkp.mp3")
        elseif teamid == 431 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhDusseldorfkp.mp3")
        elseif teamid == 4125 and (tid == 65535 or tid == 50) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Germany\\ObhHerthaBerlinkp.mp3")
        elseif teamid == 119 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpInter.mp3")
        elseif teamid == 119 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpInterlong.mp3")
        elseif teamid == 120 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpJuventus.mp3")
        elseif teamid == 120 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpJuventuslong.mp3")
        elseif teamid == 122 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpLazio.mp3")
           elseif teamid == 122 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpLaziolong.mp3")
        elseif teamid == 125 and (tid == 18 or tid == 24)  then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpRoma.mp3")
        elseif teamid == 125 and tid == 65535  then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpRomalong.mp3")
        elseif teamid == 123 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpParma.mp3")
        elseif teamid == 123 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\Parma.mp3")
        elseif teamid == 121 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpMilan.mp3")
        elseif teamid == 121 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpMilanlong.mp3")
        elseif teamid == 327 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpNapoli.mp3")
        elseif teamid == 327 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpNapolilong.mp3")
        elseif teamid == 124 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpFiorentina.mp3")
        elseif teamid == 124 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\KpFiorentinalong.mp3")
        elseif teamid == 190 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpUdinese.mp3")
        elseif teamid == 190 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpUdinese.mp3")
        elseif teamid == 234 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpAtalanta.mp3")
        elseif teamid == 234 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpAtalantalong.mp3")
        elseif teamid == 323 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpGenoa.mp3")
        elseif teamid == 323 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpGenoa.mp3")
        elseif teamid == 240 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpSampdoria.mp3")
        elseif teamid == 240 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpSampdoria.mp3")
        elseif teamid == 333 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpTorino.mp3")
        elseif teamid == 333 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\kpTorinolong.mp3")
        elseif teamid == 1919 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpSassuolo.mp3")
        elseif teamid == 1919 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\Exhibition\\kpSassuolo.mp3")
        elseif teamid == 186 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpBologna.mp3")
        elseif teamid == 186 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpBologna.mp3")
        elseif teamid == 4923 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpSpal.mp3")
        elseif teamid == 4923 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpSpal.mp3")
        elseif teamid == 187 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpBrescia.mp3")
        elseif teamid == 187 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpBrescia.mp3")
        elseif teamid == 336 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpHellasVerona.mp3")
        elseif teamid == 336 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpHellasVerona.mp3")
        elseif teamid == 4237 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpLecce.mp3")
        elseif teamid == 4237 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpLecce.mp3")
        elseif teamid == 320 and (tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpCagliari.mp3")
        elseif teamid == 320 and tid == 65535 then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpCagliari.mp3")
	elseif teamid == 317 and (tid == 82 or tid ==85 or tid == 24 or tid == 89) then
	        tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Ascolikp.mp3")
	elseif teamid == 317 and tid == 65535 then
		tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Exhibition\\D78Ascolikp.mp3")
        elseif teamid == 4232 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Beneventokp.mp3")
        elseif teamid == 188 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Chievokp.mp3")
        elseif teamid == 1363 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Crotonekp.mp3")
        elseif teamid == 235 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Empolikp.mp3")
        elseif teamid == 4234 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Frosinonekp.mp3")
        elseif teamid == 325 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Livornokp.mp3")
        elseif teamid == 4915 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Pordenonekp.mp3")
        elseif teamid == 4244 and (tid == 65535 or tid == 82 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Salernitanakp.mp3")
        elseif teamid == 4928 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Cosenzakp.mp3")
        elseif teamid == 328 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Pescarakp.mp3")
        elseif teamid == 1600 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Speziakp.mp3")
        elseif teamid == 4220 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Cremonesekp.mp3")
        elseif teamid == 2517 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78JuveStabiakp.mp3")
        elseif teamid == 4241 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Pisakp.mp3")
        elseif teamid == 4077 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Trapanikp.mp3")
        elseif teamid == 4229 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Veneziakp.mp3")
        elseif teamid == 1920 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Cittadellakp.mp3")
        elseif teamid == 4240 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Perugiakp.mp3")
        elseif teamid == 4230 and (tid == 65535 or tid == 18 or tid == 24) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Virtuskp.mp3")
        elseif teamid == 114 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\ObhPsgkp.mp3")
        elseif teamid == 181 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\RieLyonkp.mp3")
        elseif teamid == 113 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\ObhMarseillekp.mp3")
        elseif teamid == 112 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\RieMonacokp.mp3")
        elseif teamid == 4200 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpAmiens.mp3")
        elseif teamid == 1328 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpDijon.mp3")
        elseif teamid == 215 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpMontpellier.mp3")
        elseif teamid == 418 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpStEtienne.mp3")
        elseif teamid == 403 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpAngers.mp3")
        elseif teamid == 213 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpLille.mp3")
        elseif teamid == 216 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpNantes.mp3")
        elseif teamid == 1330 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpReims.mp3")
        elseif teamid == 115 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpBordeaux.mp3")
        elseif teamid == 4123 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpMetz.mp3")
        elseif teamid == 217 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpNice.mp3")
        elseif teamid == 4213 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpStrasbourg.mp3")
        elseif teamid == 1329 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpBrest.mp3")
        elseif teamid == 1910 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpNîmes.mp3")
        elseif teamid == 218 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpRennes.mp3")
        elseif teamid == 221 and (tid == 65535 or tid == 20 or tid == 26) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\France\\KpToulouse.mp3")
        elseif teamid == 108 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\ObhBarcelonakp.mp3")
        elseif teamid == 109 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\ObhRealMadridkp.mp3")
        elseif teamid == 172 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\ObhAthleticoMadridkp.mp3")
        elseif teamid == 110 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieValenciakp.mp3")
        elseif teamid == 194 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\ObhRealBetiskp.mp3")
        elseif teamid == 265 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\Superb3222Sevillakp.mp3")
        elseif teamid == 196 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieSociedadkp.mp3")
        elseif teamid == 259 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieEspanyolkp.mp3")
        elseif teamid == 258 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieBilbaokp.mp3")
        elseif teamid == 195 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieCeltakp.mp3")
        elseif teamid == 267 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieVillarealkp.mp3")
        elseif teamid == 4146 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieEibarkp.mp3")
        elseif teamid == 1765 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieGranadakp.mp3")
        elseif teamid == 362 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieGetafekp.mp3")
        elseif teamid == 261 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieMallorcakp.mp3")
        elseif teamid == 263 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\RieOsasunakp.mp3")
        elseif teamid == 4145 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\KpAlaves.mp3")
        elseif teamid == 4272 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\KpLeganes.mp3")
        elseif teamid == 366 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\KpLevante.mp3")
        elseif teamid == 266 and (tid == 65535 or tid == 19 or tid == 25 or tid == 87) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Spain\\KpValladolid.mp3")
        elseif teamid == 242 and (tid == 65535 or tid == 21) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Netherlands\\RieAlkmaarkp.mp3")
        elseif teamid == 117 and (tid == 65535 or tid == 21) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Netherlands\\RieFeyenoordkp.mp3")
        elseif teamid == 118 and (tid == 65535 or tid == 21) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Netherlands\\RiePsvkp.mp3")
        elseif teamid == 116 and (tid == 65535 or tid == 21) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Netherlands\\ObhAjaxkp.wav")
        elseif teamid == 192 and (tid == 65535 or tid == 22) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Portugal\\RiePortokp.mp3")
        elseif teamid == 191 and (tid == 65535 or tid == 22) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Portugal\\RieBenficakp.mp3")
        elseif teamid == 193 and (tid == 65535 or tid == 22) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Portugal\\RieSportingkp.mp3")
        elseif teamid == 130 and (tid == 65535 or tid == 118) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Turkey\\RieGalatasaraykp.mp3")
        elseif teamid == 197 and (tid == 65535 or tid == 118) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Turkey\\RieFenerbachekp.mp3")
        elseif teamid == 273 and (tid == 65535 or tid == 118) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Turkey\\RieBesiktaskp.mp3")
        elseif teamid == 1945 and (tid == 65535 or tid == 118) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Turkey\\RieTrabzonsporkp.mp3")
        elseif teamid == 132 and (tid == 65535 or tid == 133 or tid == 134 or tid == 135 or tid == 136) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Scotland\\ObhRangerskp.mp3")
        elseif teamid == 131 and (tid == 65535 or tid == 133 or tid == 134 or tid == 135 or tid == 136) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Scotland\\KpCeltic.mp3")
        elseif teamid == 1218 and (tid == 65535 or tid == 116) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Russia\\Zenit.mp3")
        elseif teamid == 271 and (tid == 65535 or tid == 116) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Russia\\Lokomotiv.mp3")
        elseif teamid == 135 and (tid == 65535 or tid == 116) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Russia\\spartakmoscow.mp3")
        elseif teamid == 1217 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Russia\\CSKAMoscow.mp3")
        elseif teamid == 2350 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\Salzburg.mp3")
        elseif teamid == 1203 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\Zagreb.mp3")
        elseif teamid == 270 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\kpAEK.mp3")
        elseif teamid == 133 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\Olympiakos.mp3")
        elseif teamid == 1232 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\Shakhtar.mp3")
        elseif teamid == 5189 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\Slaviapraha.mp3")
        elseif teamid == 175 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\Spartapraha.mp3")
        elseif teamid == 2345 and (tid == 65535) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Other\\Crvenazvezda.mp3")
        elseif teamid == 1706 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpBasel.mp3")
        elseif teamid == 1957 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpZurich.mp3")
        elseif teamid == 4965 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpLugano.mp3")
        elseif teamid == 4938 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpThun.mp3")
        elseif teamid == 5346 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpXamax.mp3")
        elseif teamid == 1955 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpSion.mp3")
        elseif teamid == 4962 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpLuzern.mp3")
        elseif teamid == 1958 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpServette.mp3")
        elseif teamid == 1950 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpYoungBoys.mp3")
        elseif teamid == 4937 and (tid == 65535 or tid == 117) then
                tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Switzerland\\KpStGall.mp3")

	     -- TOURNAMENT ANTHEMS -- ATTEMPT TO PLAY THESE IF NO TEAM ANTHEMS EXIST
	    	elseif tid == 58 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\ML_Testimonial\\tunnel_anthem.mp3")
	    	elseif tid == 108 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\ML_World_Selection\\tunnel_anthem.mp3")
		elseif tid == 59 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Argentina\\Copa_Argentina\\tunnel_anthem.mp3")
		elseif tid == 30 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Argentina\\Superliga\\tunnel_anthem.mp3")
		elseif tid == 122 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Belgium\\Croky_Cup\\tunnel_anthem.mp3")
		elseif tid == 155 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Belgium\\Jupilar_Pro_League\\tunnel_anthem.mp3")
		elseif tid == 67 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Chile\\Primera_Division\\tunnel_anthem.mp3")
		elseif (tid == 8 or tid == 6153 or tid == 1032 or tid == 2056 or tid == 3080 or tid == 4104 or tid == 9 or tid == 1033 or tid == 2057 or tid == 3081 or tid == 4105 or tid == 5129 or tid == 7177 or tid == 8201 or tid == 10) then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\CONMEBOL\\Copa_Libertadores\\tunnel_anthem.mp3")
		elseif tid == 147 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Denmark\\Superliga\\tunnel_anthem.mp3")
		elseif tid == 86 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\Community_Shield\\tunnel_anthem.mp3")
		elseif (tid == 79 or tid == 83) then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EFL\\tunnel_anthem.mp3")
		elseif tid == 17 then
 		       	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EPL\\tunnel_anthem.mp3")
		elseif tid == 23 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\FA_Cup\\tunnel_anthem.mp3")
		elseif (tid == 34 or tid == 1058 or tid == 2082 or tid == 3106 or tid == 4130 or tid == 5154 or tid == 6178 or tid == 7202 or tid == 8226 or tid == 35) then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\FIFA\\World_Cup_2018\\tunnel_anthem.mp3")
		elseif tid == 26 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Coupe_De_La_Ligue\\tunnel_anthem.mp3")
		elseif tid == 20 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Ligue_1\\tunnel_anthem.mp3")
		elseif tid == 81 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Ligue_2\\tunnel_anthem.mp3")
		elseif tid == 50 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\Bundesliga\\tunnel_anthem.mp3")
		elseif tid == 53 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\DFB_Pokal\\tunnel_anthem.mp3")
		elseif tid == 95 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\DFL_SuperCup\\tunnel_anthem.mp3")
		elseif tid == 107 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\Asia\\tunnel_anthem.mp3")
		elseif tid == 105 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\North_America\\tunnel_anthem.mp3")
		elseif tid == 106 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\South_America\\tunnel_anthem.mp3")
		elseif tid == 24 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Coppa_Italia\\tunnel_anthem.mp3")
		elseif tid == 18 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_A\\tunnel_anthem.mp3")
		elseif (tid == 82 or tid == 85) then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_B\\tunnel_anthem.mp3")
		elseif tid == 21 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Netherlands\\Eredevisie\\tunnel_anthem.mp3")
		elseif tid == 22 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Portugal\\Liga_NOS\\tunnel_anthem.mp3")
		elseif tid == 116 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Russia\\Premier_League\\tunnel_anthem.mp3")
		elseif tid == 25 then
 		       	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\Copa_Del_Rey\\tunnel_anthem.mp3")
		elseif tid == 19 then
 		       	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\LaLiga\\tunnel_anthem.mp3")
		elseif tid == 87 then
 		       	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\SuperCopa\\tunnel_anthem.mp3")
		elseif tid == 117 then
 		       	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Switzerland\\Raiffeisen_Super_League\\tunnel_anthem.mp3")
		elseif tid == 118 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Turkey\\SuperLig\\tunnel_anthem.mp3")
                elseif (tid == 2 or tid == 1026 or tid == 2050 or tid == 3074 or tid == 4098 or tid == 5122 or tid == 6146 or tid == 7170 or tid == 8194) then
                        if (stadiumid == 2 or stadiumid == 22) then
                        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\tunnel_anthem_delay.mp3")
                        else
                        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\tunnel_anthem.mp3")
                        end
                elseif (tid == 3 or tid == 1027  or tid == 2051 or tid == 3075 or tid == 4099 or tid == 5123 or tid == 6147 or tid == 7171 or tid == 8195 or tid == 4) then
			if cuproundid == 53 then
				if rdm == 1 then
	        			tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_2009.mp3")
				elseif rdm == 2 then
					tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_2010.mp3")
				elseif rdm == 3 then
					tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_2011.mp3")
				elseif rdm == 4 then
					tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_2013.mp3")
				elseif rdm == 5 then
					tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_2018.mp3")
				elseif rdm == 6 then
					tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_2019.mp3")
				elseif rdm == 7 then
					tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_pes2018.mp3")
				else
					tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\tunnel_anthem_2009.mp3")
				end
			else
                        	if (stadiumid == 2 or stadiumid == 22) then
                        		tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\tunnel_anthem_delay.mp3")
                        	else
                        		tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\tunnel_anthem.mp3")
                        	end
			end
		elseif (tid == 5 or tid == 1029 or tid == 2053 or tid == 3077 or tid == 4101 or tid == 5125 or tid == 6149 or tid == 7173 or tid == 8197 or tid == 9221 or tid == 10245  or tid == 11269 or tid == 12293 or tid == 6) then
                        if (stadiumid == 2 or stadiumid == 22) then
                        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Europa_League\\tunnel_anthem_delay.mp3")
                        else
                        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Europa_League\\tunnel_anthem.mp3")
                        end
		elseif tid == 7 then
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Super_Cup\\tunnel_anthem.mp3")
		else
	        	tunnel_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Unused\\tunnel_anthem.mp3")
		end

		log(string.format("tunnel anthem starting: %s", tunnel_anthem:get_filename()))
	        tunnel_anthem:set_volume(0.7)
	        tunnel_anthem:play()
	end

 -- INTRO ANTHEM 3 - STADIUM TOURNAMENT ANTHEM DURING  STATIC  PLAYER LINEUP
    elseif string.match(filename, "common\\demo\\fixdemo\\ent\\cut_data\\ent_018_cmn_all_pl.fdc") or string.match(filename, "common\\demo\\fixdemo\\ent\\cut_data\\ent_009_st%d+_south.*%.fdc") then
	if lineup_anthem then
	else
                if (tid == 2 or tid == 1026 or tid == 2050 or tid == 3074 or tid == 4098 or tid == 5122 or tid == 6146 or tid == 7170 or tid == 8194) then
			log("game loaded: " .. filename)
			stop_tunnelanthem()
			lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\lineup_anthem.mp3")
			log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
			lineup_anthem:set_volume(0.7)
			lineup_anthem:play()
		elseif (tid == 3 or tid == 1027  or tid == 2051 or tid == 3075 or tid == 4099 or tid == 5123 or tid == 6147 or tid == 7171 or tid == 8195 or tid == 4) then
			if cuproundid == 53 then
			else
				if (teamid == 234 or teamid == 124 or teamid == 120 or teamid == 327 or teamid == 1919 or teamid == 186 or teamid == 323 or teamid == 122 or teamid == 123 or teamid == 4923 or teamid == 187 or teamid == 336 or teamid == 4237 or teamid == 125 or teamid == 333 or teamid == 320 or teamid == 119 or teamid == 121 or teamid == 240 or teamid == 190 or teamid == 317 or teamid == 4928 or teamid == 4234 or teamid == 328 or teamid == 1600 or teamid == 4232 or teamid == 4220 or teamid == 2517 or teamid == 4241 or teamid == 4077 or teamid == 188 or teamid == 1363 or teamid == 325 or teamid == 4915 or teamid == 4229 or teamid == 1920 or teamid == 235 or teamid == 4240 or teamid == 4244 or teamid == 4230) then
					log("game loaded: " .. filename)
					stop_tunnelanthem()
					lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\lineup_anthem_scream.mp3")
					log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
					lineup_anthem:set_volume(0.7)
					lineup_anthem:play()
				elseif (teamid == 108 or teamid == 173) then
					log("game loaded: " .. filename)
					stop_tunnelanthem()
					lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\lineup_anthem_whistle.mp3")
					log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
					lineup_anthem:set_volume(0.7)
					lineup_anthem:play()
				else
					log("game loaded: " .. filename)
					stop_tunnelanthem()
					lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\lineup_anthem.mp3")
					log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
					lineup_anthem:set_volume(0.7)
					lineup_anthem:play()
				end
			end
        	elseif (tid == 5 or tid == 1029 or tid == 2053 or tid == 3077 or tid == 4101 or tid == 5125 or tid == 6149 or tid == 7173 or tid == 8197 or tid == 9221 or tid == 10245  or tid == 11269 or tid == 12293 or tid == 6) then
			if (teamid == 108 or teamid == 173) then
            			log("game loaded: " .. filename)
            			stop_tunnelanthem()
            			lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Europa_League\\lineup_anthem_whistle.mp3")
            			log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
            			lineup_anthem:set_volume(0.7)
            			lineup_anthem:play()
			else
            			log("game loaded: " .. filename)
            			stop_tunnelanthem()
            			lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Europa_League\\lineup_anthem.mp3")
            			log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
            			lineup_anthem:set_volume(0.7)
            			lineup_anthem:play()
			end
		elseif (tid == 8 or tid == 6153 or tid == 1032 or tid == 2056 or tid == 3080 or tid == 4104 or tid == 9 or tid == 1033 or tid == 2057 or tid == 3081 or tid == 4105 or tid == 5129 or tid == 7177 or tid == 8201 or tid == 10) then
			log("game loaded: " .. filename)
			stop_tunnelanthem()
			lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\CONMEBOL\\Copa_Libertadores\\lineup_anthem.mp3")
			log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
			lineup_anthem:set_volume(0.7)
			lineup_anthem:play()
        	elseif (tid == 18) then
            		log("game loaded: " .. filename)
            		stop_tunnelanthem()
            		lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_A\\lineup_anthem.mp3")
            		log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
            		lineup_anthem:set_volume(0.7)
            		lineup_anthem:play()
                elseif (tid == 24) then
            		log("game loaded: " .. filename)
            		stop_tunnelanthem()
            		lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_A\\lineup_anthem.mp3")
            		log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
            		lineup_anthem:set_volume(0.7)
            		lineup_anthem:play()
		end
	end

 -- INTRO ANTHEM 4 - STADIUM TOURNAMENT ANTHEM DURING  WARMUP  PLAYER LINEUP
    elseif string.match(filename, "common\\demo\\fixdemo\\ent\\cut_data\\ent_016_.*") then
	if lineup_anthem then
	else
		if (tid == 17) then
            		log("game loaded: " .. filename)
            		stop_tunnelanthem()
            		lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EPL\\lineup_anthem.mp3")
            		log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
            		lineup_anthem:set_volume(0.7)
            		lineup_anthem:play()
        	elseif (tid == 155) then
            		log("game loaded: " .. filename)
            		stop_tunnelanthem()
            		lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Belgium\\Jupilar_Pro_League\\lineup_anthem.mp3")
            		log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
            		lineup_anthem:set_volume(0.7)
            		lineup_anthem:play()
                elseif (tid == 79) then
            		log("game loaded: " .. filename)
            		stop_tunnelanthem()
            		lineup_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EFL\\lineup_anthem.mp3")
            		log(string.format("lineup anthem starting: %s", lineup_anthem:get_filename()))
            		lineup_anthem:set_volume(0.7)
            		lineup_anthem:play()
		end
	end

 -- INTRO ANTHEM 5 - STADIUM MUSIC DURING FORMATION SCREENS
    elseif string.match(filename, "common\\demo\\fixdemo\\ent\\cut_data\\ent_020_.*") then
	if format_anthem then
	else
		log("game loaded: " .. filename)
		if (tid == 17) then
			if teamid == 103 then
            			format_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\Liverpool_format.mp3")
			elseif teamid == 4363 then
            			format_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\England\\Luton_format.mp3")
			end
        	elseif (tid == 107) then
            		format_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\Asia\\format_anthem.mp3")
        	elseif (tid == 105) then
            		format_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\North_America\\format_anthem.mp3")
        	elseif (tid == 106) then
            		format_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\South_America\\format_anthem.mp3")
		else
			format_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Unused\\format_anthem.mp3")
		end
            		log(string.format("formation anthem starting: %s", format_anthem:get_filename()))
            		format_anthem:set_volume(0.7)
            		format_anthem:play()
	end

 -- ANTHEM 6 - HALF TIME WALK OFF TOURNAMENT TV ANTHEM
    elseif string.match(filename, "common\\demo\\fixdemo\\timeup\\cut_data\\tu_half_cmn_02_.*") then
        log("game loaded: " .. filename)
	if halftime_anthem then
	else
		log("game loaded: " .. filename)
	    	if tid == 58 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\ML_Testimonial\\intro_anthem.mp3")
	    	elseif tid == 108 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\ML_World_Selection\\intro_anthem.mp3")
		elseif tid == 59 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Argentina\\Copa_Argentina\\intro_anthem.mp3")
		elseif tid == 30 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Argentina\\Superliga\\intro_anthem.mp3")
		elseif tid == 122 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Belgium\\Croky_Cup\\intro_anthem.mp3")
		elseif tid == 155 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Belgium\\Jupilar_Pro_League\\intro_anthem.mp3")
		elseif tid == 67 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Chile\\Primera_Division\\intro_anthem.mp3")
		elseif (tid == 8 or tid == 6153 or tid == 1032 or tid == 2056 or tid == 3080 or tid == 4104 or tid == 9 or tid == 1033 or tid == 2057 or tid == 3081 or tid == 4105 or tid == 5129 or tid == 7177 or tid == 8201 or tid == 10) then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\CONMEBOL\\Copa_Libertadores\\intro_anthem.mp3")
		elseif tid == 147 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Denmark\\Superliga\\intro_anthem.mp3")
		elseif tid == 86 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\Community_Shield\\intro_anthem.mp3")
		elseif (tid == 79 or tid == 83) then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EFL\\intro_anthem.mp3")
		elseif tid == 17 then
 		       	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EPL\\intro_anthem.mp3")
		elseif tid == 23 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\FA_Cup\\intro_anthem.mp3")
		elseif (tid == 34 or tid == 1058 or tid == 2082 or tid == 3106 or tid == 4130 or tid == 5154 or tid == 6178 or tid == 7202 or tid == 8226 or tid == 35) then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\FIFA\\World_Cup_2018\\intro_anthem.mp3")
		elseif tid == 26 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Coupe_De_La_Ligue\\intro_anthem.mp3")
		elseif tid == 20 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Ligue_1\\intro_anthem.mp3")
		elseif tid == 81 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Ligue_2\\intro_anthem.mp3")
		elseif tid == 50 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\Bundesliga\\intro_anthem.mp3")
		elseif tid == 53 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\DFB_Pokal\\intro_anthem.mp3")
		elseif tid == 95 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\DFL_SuperCup\\intro_anthem.mp3")
		elseif tid == 107 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\Asia\\intro_anthem.mp3")
		elseif tid == 105 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\North_America\\intro_anthem.mp3")
		elseif tid == 106 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\South_America\\intro_anthem.mp3")
		elseif tid == 24 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Coppa_Italia\\intro_anthem.mp3")
		elseif tid == 18 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_A\\intro_anthem.mp3")
		elseif (tid == 82 or tid == 85) then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_B\\intro_anthem.mp3")
		elseif tid == 21 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Netherlands\\Eredevisie\\intro_anthem.mp3")
		elseif tid == 22 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Portugal\\Liga_NOS\\intro_anthem.mp3")
		elseif tid == 116 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Russia\\Premier_League\\intro_anthem.mp3")
		elseif tid == 25 then
 		       	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\Copa_Del_Rey\\intro_anthem.mp3")
		elseif tid == 19 then
 		       	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\LaLiga\\intro_anthem.mp3")
		elseif tid == 87 then
 		       	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\SuperCopa\\intro_anthem.mp3")
		elseif tid == 117 then
 		       	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Switzerland\\Raiffeisen_Super_League\\intro_anthem.mp3")
		elseif tid == 118 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Turkey\\SuperLig\\intro_anthem.mp3")
                elseif (tid == 2 or tid == 1026 or tid == 2050 or tid == 3074 or tid == 4098 or tid == 5122 or tid == 6146 or tid == 7170 or tid == 8194) then
                        halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\intro_anthem.mp3")
		elseif (tid == 3 or tid == 1027  or tid == 2051 or tid == 3075 or tid == 4099 or tid == 5123 or tid == 6147 or tid == 7171 or tid == 8195 or tid == 4) then
			if cuproundid == 53 then 
	        		halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\intro_anthem.mp3")
			else
	        		halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\intro_anthem.mp3")
			end
		elseif (tid == 5 or tid == 1029 or tid == 2053 or tid == 3077 or tid == 4101 or tid == 5125 or tid == 6149 or tid == 7173 or tid == 8197 or tid == 9221 or tid == 10245  or tid == 11269 or tid == 12293 or tid == 6) then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Europa_League\\intro_anthem.mp3")
		elseif tid == 7 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Super_Cup\\intro_anthem.mp3")
		elseif tid == 65535 then
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Generic\\intro_anthem.mp3")
		else
	        	halftime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Unused\\intro_anthem.mp3")
		end

		log(string.format("halftime anthem starting: %s", halftime_anthem:get_filename()))
	        halftime_anthem:set_volume(0.5)
	        halftime_anthem:play()
	end

 -- ANTHEM 7 - FULL TIME WALK OFF TOURNAMENT TV ANTHEM
    elseif string.match(filename, "common\\demo\\fixdemo\\timeup\\cut_data\\tu_full_02_.*") then
	if fulltime_anthem then
	else
		log("game loaded: " .. filename)
	    	if tid == 58 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\ML_Testimonial\\intro_anthem.mp3")
	    	elseif tid == 108 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\ML_World_Selection\\intro_anthem.mp3")
		elseif tid == 59 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Argentina\\Copa_Argentina\\intro_anthem.mp3")
		elseif tid == 30 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Argentina\\Superliga\\intro_anthem.mp3")
		elseif tid == 122 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Belgium\\Croky_Cup\\intro_anthem.mp3")
		elseif tid == 155 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Belgium\\Jupilar_Pro_League\\intro_anthem.mp3")
		elseif tid == 67 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Chile\\Primera_Division\\intro_anthem.mp3")
		elseif (tid == 8 or tid == 6153 or tid == 1032 or tid == 2056 or tid == 3080 or tid == 4104 or tid == 9 or tid == 1033 or tid == 2057 or tid == 3081 or tid == 4105 or tid == 5129 or tid == 7177 or tid == 8201 or tid == 10) then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\CONMEBOL\\Copa_Libertadores\\intro_anthem.mp3")
		elseif tid == 147 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Denmark\\Superliga\\intro_anthem.mp3")
		elseif tid == 86 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\Community_Shield\\intro_anthem.mp3")
		elseif (tid == 79 or tid == 83) then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EFL\\intro_anthem.mp3")
		elseif tid == 17 then
 		       	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\EPL\\intro_anthem.mp3")
		elseif tid == 23 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\England\\FA_Cup\\intro_anthem.mp3")
		elseif (tid == 34 or tid == 1058 or tid == 2082 or tid == 3106 or tid == 4130 or tid == 5154 or tid == 6178 or tid == 7202 or tid == 8226 or tid == 35) then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\FIFA\\World_Cup_2018\\intro_anthem.mp3")
		elseif tid == 26 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Coupe_De_La_Ligue\\intro_anthem.mp3")
		elseif tid == 20 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Ligue_1\\intro_anthem.mp3")
		elseif tid == 81 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\France\\Ligue_2\\intro_anthem.mp3")
		elseif tid == 50 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\Bundesliga\\intro_anthem.mp3")
		elseif tid == 53 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\DFB_Pokal\\intro_anthem.mp3")
		elseif tid == 95 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Germany\\DFL_SuperCup\\intro_anthem.mp3")
		elseif tid == 107 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\Asia\\intro_anthem.mp3")
		elseif tid == 105 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\North_America\\intro_anthem.mp3")
		elseif tid == 106 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\ICC\\South_America\\intro_anthem.mp3")
                elseif teamid == 119 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpInterlong.mp3")
                elseif teamid == 120 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpJuventuslong.mp3")
                elseif teamid == 122 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpLaziolong.mp3")
                elseif teamid == 125 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpGrazieRoma.mp3")
                elseif teamid == 123 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpParma.mp3")
                elseif teamid == 121 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpMilanlong.mp3")
                elseif teamid == 327 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpNapolilong.mp3")
                elseif teamid == 124 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpFiorentinalong.mp3")
                elseif teamid == 190 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpUdinese.mp3")
                elseif teamid == 234 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpAtalantalong.mp3")
                elseif teamid == 323 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpGenoa.mp3")
                elseif teamid == 240 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpSampdoria.mp3")
                elseif teamid == 333 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpTorinolong.mp3")
                elseif teamid == 1919 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpSassuolo.mp3")
                elseif teamid == 186 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpBologna.mp3")
                elseif teamid == 4923 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpSpal.mp3")
                elseif teamid == 187 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpBrescia.mp3")
                elseif teamid == 336 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpHellasVerona.mp3")
                elseif teamid == 4237 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpLecce.mp3")
                elseif teamid == 320 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_A_TIM\\kpCagliari.mp3")
                elseif teamid == 4232 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Beneventokp.mp3")
                elseif teamid == 188 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Chievokp.mp3")
                elseif teamid == 1363 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Crotonekp.mp3")
                elseif teamid == 235 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Empolikp.mp3")
                elseif teamid == 4234 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Frosinonekp.mp3")
                elseif teamid == 325 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Livornokp.mp3")
                elseif teamid == 4915 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Pordenonekp.mp3")
                elseif teamid == 4244 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Salernitanakp.mp3")
                elseif teamid == 317 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Ascolikp.mp3")
                elseif teamid == 4928 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Cosenzakp.mp3")
                elseif teamid == 328 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Pescarakp.mp3")
                elseif teamid == 1600 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Speziakp.mp3")
                elseif teamid == 4220 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Cremonesekp.mp3")
                elseif teamid == 2517 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78JuveStabiakp.mp3")
                elseif teamid == 4241 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Pisakp.mp3")
                elseif teamid == 4077 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Trapanikp.mp3")
                elseif teamid == 4229 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Veneziakp.mp3")
                elseif teamid == 1920 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Cittadellakp.mp3")
                elseif teamid == 4240 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Perugiakp.mp3")
                elseif teamid == 4230 and (tid == 65535 or tid == 18 or tid == 24 or tid == 82 or tid == 85) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Teams\\Italy\\Serie_BKT\\D78Virtuskp.mp3")
		elseif tid == 18 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_A\\intro_anthem.mp3")
		elseif (tid == 82 or tid == 85) then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Italy\\Serie_B\\intro_anthem.mp3")
		elseif tid == 21 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Netherlands\\Eredevisie\\intro_anthem.mp3")
		elseif tid == 22 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Portugal\\Liga_NOS\\intro_anthem.mp3")
		elseif tid == 116 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Russia\\Premier_League\\intro_anthem.mp3")
		elseif tid == 25 then
 		       	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\Copa_Del_Rey\\intro_anthem.mp3")
		elseif tid == 19 then
 		       	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\LaLiga\\intro_anthem.mp3")
		elseif tid == 87 then
 		       	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Spain\\SuperCopa\\intro_anthem.mp3")
		elseif tid == 117 then
 		       	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Switzerland\\Raiffeisen_Super_League\\intro_anthem.mp3")
		elseif tid == 118 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Turkey\\SuperLig\\intro_anthem.mp3")
                elseif (tid == 2 or tid == 1026 or tid == 2050 or tid == 3074 or tid == 4098 or tid == 5122 or tid == 6146 or tid == 7170 or tid == 8194) then
                        fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\intro_anthem.mp3")
		elseif (tid == 3 or tid == 1027  or tid == 2051 or tid == 3075 or tid == 4099 or tid == 5123 or tid == 6147 or tid == 7171 or tid == 8195 or tid == 4) then
			if cuproundid == 53 then 
	        		fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\intro_anthem.mp3")
			else
	        		fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League\\intro_anthem.mp3")
			end
		elseif (tid == 5 or tid == 1029 or tid == 2053 or tid == 3077 or tid == 4101 or tid == 5125 or tid == 6149 or tid == 7173 or tid == 8197 or tid == 9221 or tid == 10245  or tid == 11269 or tid == 12293 or tid == 6) then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Europa_League\\intro_anthem.mp3")
		elseif tid == 7 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Super_Cup\\intro_anthem.mp3")
		elseif tid == 65535 then
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Generic\\intro_anthem.mp3")
		else
	        	fulltime_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Unused\\intro_anthem.mp3")
		end

		log(string.format("fulltime anthem starting: %s", fulltime_anthem:get_filename()))
	        fulltime_anthem:set_volume(0.5)
	        fulltime_anthem:play()
	end

 -- ANTHEM 8 - TROPHY WINNING CELEBRATION STADIUM ANTHEM
    elseif string.match(filename, "common\\demo\\fixdemo\\end\\cut_data\\end_timeup.*") then
	if celebr_anthem then
	else
		log("game loaded: " .. filename)
		if cuproundid == 53 then
			if (tid == 2 or tid == 1026 or tid == 2050 or tid == 3074 or tid == 4098 or tid == 5122 or tid == 6146 or tid == 7170 or tid == 8149 or tid == 3 or tid == 1027  or tid == 2051 or tid == 3075 or tid == 4099 or tid == 5123 or tid == 6147 or tid == 7171 or tid == 8195 or tid == 4) then
            			celebr_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\UEFA\\UEFA_Champions_League_Final\\celebration_anthem.mp3")
			else
            			celebr_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Generic\\celebration_anthem.mp3")
			end
		else
			celebr_anthem = audio.new(ctx.sider_dir .. "content\\tournament_anth_tunnel\\Other\\Generic\\celebration_anthem.mp3")
		end

		log(string.format("celebration anthem starting: %s", celebr_anthem:get_filename()))
            	celebr_anthem:set_volume(0.7)
            	celebr_anthem:play()
	end
    end
end

function m.init(ctx)
    ctx.register("after_set_conditions", get_ids)
    ctx.register("livecpk_data_ready", m.data_ready)
end

return m
